uk.gov.hmrc.ct.computations

# CP283

###
Related Docs: class CP283 | package computations

#### object CP283 extends Calculated[CP283, ComputationsBoxRetriever] with LossesBroughtForwardAgainstTradingProfitCalculator with Serializable

Linear Supertypes
Serializable, Serializable, LossesBroughtForwardAgainstTradingProfitCalculator, CtTypeConverters, Calculated[CP283, ComputationsBoxRetriever], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP283
2. Serializable
3. Serializable
4. LossesBroughtForwardAgainstTradingProfitCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(fieldValueRetriever: ComputationsBoxRetriever): CP283

   Definition Classes
     CP283 → Calculated

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

   Definition Classes
     CtTypeConverters

8. #### implicit def convert(catoInt: CtOptionalInteger): Int

   Definition Classes
     CtTypeConverters

9. #### implicit def convert(catoInt: CtInteger): Int

   Definition Classes
     CtTypeConverters

10. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

    Definition Classes
      CtTypeConverters

11. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### def lossesBroughtForwardUsedAgainstTradingProfitCalculation(cpq17: CPQ17, cp281: CP281, cp282: CP282, cp283a: CP283a, cp283b: CP283b): CP283

    Definition Classes
      LossesBroughtForwardAgainstTradingProfitCalculator

19. #### def lossesBroughtForwardUsedAgainstTradingProfitForProfitsChargeable(cp283: CP283): CP290

    Definition Classes
      LossesBroughtForwardAgainstTradingProfitCalculator

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from LossesBroughtForwardAgainstTradingProfitCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[CP283, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped